Subject: The /proc/registry file system and file/directory names with slashes
From: Pavel Tsekov <[email-masked]>
To: [email-masked]
Date: Tue, 4 Jun 2002 16:48:36 +0200

Hello, there! :)

I thought this needs to be in the ml archives :)

I have seen this in the past but never paid too much attention to the
fact i.e. the registry can contain keys/values with forward/backward
slashes in them. Now as I've spent some time investigating the cygwin
/proc/registry support it seems this is a real PITA. The problem is
that the cygwin dll internally converts the paths it works with from
POSIX to Win32 and from Win32 to POSIX - this in some cases renders
the registry paths totaly unusable though they may were POSIX-ly valid.
Well I don't know what POSIX says about backslashes but linux doesn't
seem to have problems with them, neither does Solaris 8. While this
seems to be possible to handle with some quirks in the code or a
custom path_conv class, the other case i.e. forward slashes seem to be a real nasty :(
Maybe the forward slash can be replaced with some other character on the fly
and only the registry fhandler will see the real name ?! :)

Oh well :) Hope this one wasn't too annoing :)

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/